com.mapinfo.midev.coordsys.factory

## Class CoordSysFactory

- java.lang.Object
- - com.mapinfo.midev.coordsys.factory.CoordSysFactory

    public final class CoordSysFactory
    extends Object

Used for resolving and creating coordinate systems and related objects.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CoordSys` `getCoordSys(Code code)` Get the coordinate system with the specified code space and code.
`CoordSys` `getCoordSys(String codeSpace, String code)` Get the coordinate system with the specified code space and code.
`static CoordSysFactory` `getDefaultCoordSysFactory()` Get the default coordinate system factory.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDefaultCoordSysFactory

    public static CoordSysFactory getDefaultCoordSysFactory()

Get the default coordinate system factory.

Returns:
  The default coordinate system factory.

#### getCoordSys

    public CoordSys getCoordSys(String codeSpace,
                                String code)

Get the coordinate system with the specified code space and code.

Parameters:
  `codeSpace` - Get the coordinate system with this code space.
  `code` - Get the coordinate system with this code (in the context of the specified code space).
Returns:
  The coordinate system with the specified code space and code.

#### getCoordSys

    public CoordSys getCoordSys(Code code)

Get the coordinate system with the specified code space and code.

Parameters:
  `code` - Get the coordinate system with this code.
Returns:
  The coordinate system with the specified code space and code.